%define upstream_name	 Data-HexDump
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:	A Simple Hexadecimal Dumper	
License:	GPL
Group:		Development/Perl
Requires:	perl
Url:		http://www.cpan.org/%{upstream_name}
Source0:	http://www.cpan.org/authors/id/F/FT/FTASSIN/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
Dump in hexadecimal the content of a scalar. The result is returned 
in a string. Each line of the result consists of the offset in the
source in the leftmost column of each line, followed by one or more
columns of data from the source in hexadecimal. The rightmost column
of each line shows the printable characters (all others are shown
as single dots)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
make OPTIMIZE="$RPM_OPT_FLAGS" 
make test

%install
rm -rf $RPM_BUILD_ROOT 
%makeinstall_std 

# (sb) conflicts with util-linux
mv $RPM_BUILD_ROOT%{_bindir}/hexdump $RPM_BUILD_ROOT%{_bindir}/perl-hexdump

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%{_mandir}/man3/Data::HexDump.3pm*
%dir %{perl_vendorlib}/Data
%{perl_vendorlib}/Data/HexDump.pm
%{_bindir}/perl-hexdump


%changelog
* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 0.20.0-2mdv2011.0
+ Revision: 667075
- mass rebuild

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.20.0-1mdv2010.1
+ Revision: 403043
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.02-7mdv2009.1
+ Revision: 351701
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.02-6mdv2009.0
+ Revision: 223594
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.02-5mdv2008.1
+ Revision: 122447
- kill re-definition of %%buildroot on Pixel's request
- do not hardcode bz2 extension


* Sat Mar 03 2007 Stew Benedict <sbenedict@mandriva.com> 0.02-5mdv2007.0
+ Revision: 131784
- rebuild, %%mkrel, fix typo in summary

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Data-HexDump

* Mon Feb 06 2006 Stew Benedict <sbenedict@mandriva.com> 0.02-4mdk
- annual rebuild

* Fri Jan 07 2005 Stew Benedict <sbenedict@mandrakesoft.com> 0.02-3mdk
- birthday rebuild, URL

